Page MenuHomePhabricator

Make the tablesorter CSS not expand the width of unsortable columns
Closed, ResolvedPublic

Description

"the headers of the columns with the 'unsortable' attribute are sized just like a sortable column, without the sorting button."

This could easily be improved, if we change the recently added

.client-js table.sortable th {
    padding-right: 21px;
}

into

.client-js table.sortable th:not(.unsortable) {
    padding-right: 21px;
}

Example table: http://reading-web-staging.wmflabs.org/wiki/Help:Sorting#Making_a_column_unsortable

Event Timeline

TheDJ created this task.May 11 2018, 7:31 AM
TheDJ triaged this task as Normal priority.
RP88 added a subscriber: RP88.May 11 2018, 7:49 AM
TheDJ added a comment.May 11 2018, 3:24 PM

Hmm, this also doesn't account for header cells in tfoot.

Change 432599 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/core@master] tablesorter: be more specific about resering space for header cells

https://gerrit.wikimedia.org/r/432599

Jdforrester-WMF renamed this task from Improve tablesorter CSS to take into account unsortable columns to Make the tablesorter CSS not expand the width of unsortable columns.May 11 2018, 6:07 PM

Change 432599 merged by jenkins-bot:
[mediawiki/core@master] tablesorter: be more specific about reserving space for header cells

https://gerrit.wikimedia.org/r/432599

matmarex closed this task as Resolved.May 28 2018, 9:11 PM
matmarex assigned this task to TheDJ.
Vvjjkkii renamed this task from Make the tablesorter CSS not expand the width of unsortable columns to w5caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed TheDJ as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Koavf renamed this task from w5caaaaaaa to Make the tablesorter CSS not expand the width of unsortable columns.Jul 1 2018, 6:30 PM
JJMC89 closed this task as Resolved.Jul 1 2018, 6:33 PM
JJMC89 lowered the priority of this task from High to Normal.
JJMC89 assigned this task to TheDJ.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.